ComboBoxPropertyEditor (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.util.propertyEditor
Class ComboBoxPropertyEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          com.bbn.openmap.util.propertyEditor.PropertyConsumerPropertyEditor
              com.bbn.openmap.util.propertyEditor.OptionPropertyEditor
                  com.bbn.openmap.util.propertyEditor.ComboBoxPropertyEditor

All Implemented Interfaces:
  PropertyConsumer, java.beans.PropertyEditor

    public class ComboBoxPropertyEditor

extends OptionPropertyEditor

The ComboBoxPropertyEditor provides a set of options within a JComboBox.

See Also:
  `OptionPropertyEditor`

Field Summary
`protected javax.swing.JComboBox` | `combo`

Fields inherited from class com.bbn.openmap.util.propertyEditor.OptionPropertyEditor
`customEditor, OptionsProperty, ScopedOptionsProperty`

Fields inherited from class com.bbn.openmap.util.propertyEditor.PropertyConsumerPropertyEditor
`propertyPrefix`

Fields inherited from interface com.bbn.openmap.PropertyConsumer
`EditorProperty, initPropertiesProperty, LabelEditorProperty, ScopedEditorProperty`

Constructor Summary
`ComboBoxPropertyEditor()`

Method Summary
`java.lang.String` | `getAsText()` Returns String from option choices.
`void` | `setOptions(java.lang.String[] options)`
`void` | `setValue(java.lang.Object string)` Sets option based on string.

Methods inherited from class com.bbn.openmap.util.propertyEditor.OptionPropertyEditor
`focusGained, focusLost, getCustomEditor, setCustomEditor, setProperties, supportsCustomEditor`

Methods inherited from class com.bbn.openmap.util.propertyEditor.PropertyConsumerPropertyEditor
`getProperties, getPropertyInfo, getPropertyPrefix, setProperties, setPropertyPrefix`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setAsText, setSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### combo

    protected javax.swing.JComboBox combo

Constructor Detail

### ComboBoxPropertyEditor

    public ComboBoxPropertyEditor()

Method Detail

### setOptions

    public void setOptions(java.lang.String[] options)

  Specified by:
    `setOptions` in class `OptionPropertyEditor`

### setValue

    public void setValue(java.lang.Object string)

  Sets option based on string.

  Specified by:
    `setValue` in interface `java.beans.PropertyEditor`
  Specified by:
    `setValue` in class `OptionPropertyEditor`

### getAsText

    public java.lang.String getAsText()

  Returns String from option choices.

  Specified by:
    `getAsText` in interface `java.beans.PropertyEditor`
  Specified by:
    `getAsText` in class `OptionPropertyEditor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details